package com.inet.ailink.receiver.common.enums;

public enum StatusCode {
	SUCCESS("1","success"),
	FAIL("0","faile"),
	PARAM_EMPTY("9901","params is null"),

	
	PARAMS_JSON_ERROR("2","参数不是json格式"),
	PARAMS_JSON_KEY_ERROR("3","参数关键key错误"),
	PARAMS_dECRYPT_ERROR("4","参数解密失败"),
	PARAMS_EMPTY("5","关键参数为空"),
	DEVICE_OTA_NO_NEW("6","没有更新版本的升级包"),
	DEVICE_SERVER_URL_NO_SET("7","该类型的设备未设置服务器url"),
	DEVICE_NOT_EXIT("8","设备不存在"),
	PARAMS_EMPTY_URL_CID_VID_PID("9","URL关键参数为空"),
	DEVICE_UN_SUPPORT("10","不支持的设备"),
	;
	
	private String code="";
	private String msg="";
	
	
	StatusCode(String code, String msg){
		this.code=code;
		this.msg=msg;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	
	public static StatusCode getByCode(String param){
		for(StatusCode thisCode: StatusCode.values()){
			if(thisCode.code.equals(param)){
				return thisCode;
			}
		}
		return null;
	}
	}